cURL
curl --request GET \
--url https://api.puretalk.ai/api/ruth-connect/integrations/{integration_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/ruth-connect/integrations/{integration_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/ruth-connect/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Integrations retrieved successfully",
"err": false,
"results": {
"integration_id": "123e4567-e89b-12d3-a456-426614174000",
"app_name": "My App",
"friendly_app_name": "My App",
"logo": "<string>",
"data": {
"api_key": "123e4567-e89b-12d3-a456-426614174000"
},
"tools": [
"<string>"
],
"is_custom_tool": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"err": true,
"msg": "<string>"
}Ruth Connect
Get Integration
Returns a single integration based on the ID supplied
GET
/
ruth-connect
/
integrations
/
{integration_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of integration to return
Was this page helpful?
⌘I